
if (typeof easy_map_script_params !== 'undefined'){

  var easy_map_setting_obj = JSON.parse(easy_map_script_params.easy_map_setting);

  var mapopts = {
    zoomControl: easy_map_setting_obj.zoomControl,
    scrollWheelZoom: easy_map_setting_obj.scrollWheelZoom,
  };

  var easy_map_settings = L.map('easy_map', mapopts ).setView([easy_map_setting_obj.lat, easy_map_setting_obj.lon], easy_map_setting_obj.zoom);

  if(easy_map_setting_obj.zoomControl && !easy_map_setting_obj.fullScreen){
    L.control.zoom({
      position: easy_map_setting_obj.zoomControlPosition
    }).addTo(easy_map_settings);

    easy_map_settings.zoomControl.remove();
  }

  if(easy_map_setting_obj.fullScreen){
    easy_map_settings.addControl(L.control.fullscreen());
  }

  if(easy_map_setting_obj.tilelayer=='bing'){
    L.tileLayer.bing({
      bingMapsKey: easy_map_setting_obj.bingMapKey ,
      imagerySet: 'Road', // For road maps
    }).addTo(easy_map_settings);
  }else if(easy_map_setting_obj.tilelayer=='google'){
    L.gridLayer.googleMutant({
      id: 'roads',
      type: 'roadmap'
    }).addTo(easy_map_settings);
  }else{
    L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
      attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
    }).addTo(easy_map_settings);
  }
  if(easy_map_setting_obj.marker==1){
    if(easy_map_setting_obj.popup==0){
      L.marker([easy_map_setting_obj.lat, easy_map_setting_obj.lon]).addTo(easy_map_settings);
    }else{
      if(easy_map_setting_obj.openPopup==1 || easy_map_setting_obj.openPopup==undefined)
        L.marker([easy_map_setting_obj.lat, easy_map_setting_obj.lon]).addTo(easy_map_settings).bindPopup(easy_map_setting_obj.popup).openPopup();
      else
        L.marker([easy_map_setting_obj.lat, easy_map_setting_obj.lon]).addTo(easy_map_settings).bindPopup(easy_map_setting_obj.popup);
    }
  }

  easy_map_settings.on('click', function(e){
    easy_map_settings.eachLayer((layer) => {
      for (let i in easy_map_settings._layers) {
        if (easy_map_settings._layers[i].dragging != undefined) {
          easy_map_settings.removeLayer(easy_map_settings._layers[i]);
        }
      }
    });

    //marker = new L.marker(e.latlng, {draggable:'false'});
    easy_map_marker = new L.marker(e.latlng);

    easy_map_settings.addLayer(easy_map_marker);

      var coord = e.latlng;
      var lat = coord.lat;
      var lon = coord.lng;

      var easy_map_lat=document.getElementById("lat");
      easy_map_lat.value =lat;

      var easy_map_lon=document.getElementById("lon");
      easy_map_lon.value =lon;

      var easy_map_zoom=document.getElementById("zoom");
      if(easy_map_zoom!==null){
       easy_map_zoom.value =easy_map_settings.getZoom();
      }

      if(easy_map_setting_obj.popup!=0){
        L.marker([lat,lon]).addTo(easy_map_settings).bindPopup(easy_map_setting_obj.popup).openPopup();
    }
  
  });

  easy_map_settings.on('zoom', function() {

    var easy_map_zoom=document.getElementById("zoom");
    if(easy_map_zoom!==null){
      easy_map_zoom.value =easy_map_settings.getZoom();
    }
 
  });

}
