<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://eeasy-soft.com/
 * @since      1.2.6
 *
 * @package    Easy_Map
 * @subpackage Easy_Map/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.2.6
 * @package    Easy_Map
 * @subpackage Easy_Map/includes
 * @author     Easy Soft <nashirbabu@gmail.com>
 */
class Easy_Map_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.2.6
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'easy-map',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
